--- toast-linux	2004/04/16 22:27:17	1.25
+++ toast-linux	2004/04/16 22:53:46	1.26
@@ -1014,32 +1014,33 @@
 dfile="$ddir/$name"
 [ -r "$dfile" ] && exit 0
 
+out=""
+p() { out="$out$*"; }
 firstline=3
 lastline=25
-echo -ne '\33[H'
+p '\33[H'
 line=""
 while read i; do
   line="$line $i"
   if echo "$line" | egrep -q '.{79}'; then
     let firstline="1+$firstline"
-    echo -e '\33[K'
+    p '\33[K\12'
     line=" $i"
   fi
-  echo -en '\33[0;44m '
-  [ "$name" = "$i" ] && echo -en '\33[0;1m'
-  echo -n "$i"
-  echo -en '\33[0;44m'
+  p '\33[0;44m '
+  [ "$name" = "$i" ] && p '\33[0;1m'
+  p "$i"
+  p '\33[0;44m'
 done < "$lfile"
-
-echo -e '\33[K'
-echo -ne '\33[1;33;43m'
+p '\33[K\12\16\33[1;33;43m'
 read current < "$cfile"
 let bar="$current*80/$total"
 while [ "$bar" -gt 0 ]; do
-  echo -ne '\16a\17'
+  p '0'
   let bar="$bar-1"
 done
-echo -ne '\33[0;41m\33[K\33[m\33['"$firstline;$lastline"'r\33['"$lastline"'H'
+p '\17\33[K\33[m\33['"$firstline;$lastline"'r\33['"$lastline"'H'
+echo -ne "$out"
 
 start="`date +'%s'`"
 if ! "$@"; then
@@ -1108,7 +1109,7 @@
 done
 
 chmod go-w "$target/dev"
-chmod -R ro-w "$target/etc"
+chmod -R go-w "$target/etc" 2>/dev/null || true # ignore broken symlinks
 
 --- FILE root/sbin/devices ---
 #!/bin/sh
@@ -1713,7 +1714,7 @@
 task 1 coreutils toast arm http://ftp.gnu.org/gnu/coreutils/coreutils-5.0.tar.bz2
 task 1 perl toast arm http://www.cpan.org/src/5.0/perl-5.8.3.tar.gz
 task 1 binutils toast arm http://ftp.gnu.org/gnu/binutils/binutils-2.14.tar.bz2
-task 1 gcc toast arm http://ftp.gnu.org/gnu/gcc/gcc-3.3.2/gcc-core-3.3.2.tar.bz2
+task 1 gcc-core toast arm http://ftp.gnu.org/gnu/gcc/gcc-3.3.2/gcc-core-3.3.2.tar.bz2
 task 1 glibc toast arm glibc/2.3.2: [ http://ftp.gnu.org/gnu/glibc/glibc-2.3.2.tar.bz2 http://ftp.gnu.org/gnu/glibc/glibc-linuxthreads-2.3.2.tar.bz2 http://kernel.org/pub/linux/kernel/v2.4/linux-2.4.25.tar.bz2 http://toastball.net/toast-linux-tmp/glibc-2.3.2-gcc-2.3.x.patch ]
 # http://www.rocklinux.net/sources/package/base/glibc23/gcc33-hotfix.patch
 # http://nl.lunar-linux.org/lunar/patches/glibc-2.3.2-newstyle.patch